﻿/**Begin D:\3.document\PDM_UPGRADE\PDM_UPGRADE\pdmnew\PMDC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_DOCLIBNAME') 
 CREATE TABLE T_PMDC_DOCLIBNAME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FFILENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FARCHIVEBOXNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILEPOSITION VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_AUTHUSERENTRY') 
 CREATE TABLE T_PMDC_AUTHUSERENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FAUTHUSERID BIGINT DEFAULT 0 NOT NULL,
FAUTHUSERDEP BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_AUTHORGENTRY') 
 CREATE TABLE T_PMDC_AUTHORGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_DOCLIBNAME_L') 
 CREATE TABLE T_PMDC_DOCLIBNAME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FARCHIVEBOXNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILEPOSITION VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_DOCLIBAPPLY')
 CREATE TABLE T_PMDC_DOCLIBAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATE DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_DOCLIBAPPLY_L')
 CREATE TABLE T_PMDC_DOCLIBAPPLY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_DOCITEM')
 CREATE TABLE T_PMDC_DOCITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDOCLIBID BIGINT DEFAULT 0 NOT NULL,
FDOCLIBDIRID BIGINT DEFAULT 0 NOT NULL,
FFILENO VARCHAR(80) DEFAULT ' ' NOT NULL,
FUPLOADPERSONID BIGINT DEFAULT 0 NOT NULL,
FUPLOADDATE DATETIME,
FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
FRELATEOBJECT CHAR(1) DEFAULT '0' NOT NULL,
FDOCTYPE CHAR(1) DEFAULT '0' NOT NULL,
FSOURCEBILL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLDATAID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_DOCITEM_L')
 CREATE TABLE T_PMDC_DOCITEM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFILENO VARCHAR(200) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(300) DEFAULT ' ' NOT NULL
);



/**End D:\3.document\PDM_UPGRADE\PDM_UPGRADE\pdmnew\PMDC_table.sql **/
